Bug 197254 - segfault just trying to read a gconf key
segfault just trying to read a gconf key
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gnome-python2 (Show other bugs)
5
All Linux
medium Severity high
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks: 202111
  Show dependency treegraph
 
Reported: 2006-06-29 14:04 EDT by Zack Cerza
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-26 23:46:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 365565 None None None Never

  None (edit)
Description Zack Cerza 2006-06-29 14:04:14 EDT
Description of problem:
Python will segfault if you try to read GConf keys.

Version-Release number of selected component (if applicable):
gnome-python2-gconf-2.12.4-1.i386

How reproducible:
Always

Steps to Reproduce:
Pick one:

python -c 'import gconf; c=gconf.Client();
c.get_bool("/desktop/gnome/background/draw_background")'

python -c 'import gconf; c=gconf.Client();
c.get("/desktop/gnome/background/draw_background")'

python -c 'import gconf; c=gconf.Client();
c.get_string("/desktop/gnome/background/picture_filename")'

Probably others, but I got bored. :)

Actual results:
segmentation fault  python -c

Expected results:
A return value.
Comment 1 Jeremy Katz 2006-08-10 16:38:56 EDT
Don't you need to do 'c = gconf.client_get_default()' rather than just
instantiating a random GConfClient?
Comment 2 Zack Cerza 2006-08-10 16:43:57 EDT
oh, wow, apparently that works.

Still, though, shouldn't it not segfault?
Comment 3 John (J5) Palmieri 2006-08-10 18:16:44 EDT
Most likely shouldn't.  The bug should be filed upstream.
Comment 4 Matthias Clasen 2006-10-26 23:46:12 EDT
Filed an upstream bug to track this.

Note You need to log in before you can comment on or make changes to this bug.